Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs	(revision 368)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs	(revision 369)
@@ -265,7 +265,6 @@
 
                 // フッタ部構築
                 cnt = CreateFooter(dgv1, cnt);
-
             }
             catch (Exception ex)
             {
@@ -739,6 +738,33 @@
 
         #region チェック関連メソッド
 
+        #region 初期起動チェック
+        /// <summary>
+        /// 初期起動チェック
+        /// </summary>
+        /// <returns></returns>
+        private bool InitExecCheck()
+        {
+            try
+            {
+                string msg = "";
+
+                // 初期起動チェック
+                if (CheckInit(ref msg) == false)
+                {
+                    MessageBox.Show(msg, "起動エラー", MessageBoxButtons.OK);
+                    return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
         #region 初期起動時チェック
         /// <summary>
         /// 初期起動時チェック
@@ -752,77 +778,127 @@
             {
                 msg = "起動に失敗しました。";
 
-                string sql = string.Empty;
+                StringBuilder sql = new StringBuilder();
 
                 // 工事基本情報の取得
-                ConstructionBaseInfo Info = new ConstructionBaseInfo();
-                sql = ioInfo.CreatePrimarykeyString(m_ConstructionCode);
-                if (ioInfo.SelectAction(sql, ref Info) == false)
+                if (!GetBaseInfoData()) return false;
+
+                sql.Append("SELECT ReqHead.RequestNo FROM ConstructionLink Link");
+                sql.Append(" INNER JOIN RequestHead ReqHead ON Link.FluctuationCode = ReqHead.ReqConstructionCode");
+                if (m_ConstructionBaseInfo.JoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.JoinParent)
                 {
-                    return false;
+                    // 結合親工事の場合
+                    // 子工事で既に請求が実施されているか確認
+                    sql.Clear();
+                    sql.AppendFormat(" WHERE Link.ConstructionCode = {0}", m_ConstructionCode);
                 }
+                else if (m_ConstructionBaseInfo.JoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.JoinChildren)
+                {
+                    // 結合子工事の場合
+                    // 親工事で請求済か確認
+                    sql.Clear();
+                    sql.AppendFormat(" WHERE Link.FluctuationCode = {0}", m_ConstructionCode);
+                }
+                else
+                {
+                    // 対象外が以下処理無
+                    msg = string.Empty;
+                    return true;
+                }
+                sql.AppendFormat(" AND Link.LinkType = {0}", (int)ConstructionLink.DataTypeDef.JoinType);
 
-                // 結合親工事の場合
-                if (Info.JoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.JoinParent)
+                // データチェック
+                ArrayList ar = new ArrayList();
+                if (!ioReqHead.ExecuteReader(sql.ToString(), ref ar)) return false;
+
+                // 請求データ無は正常
+                if (ar.Count < 1) return true;
+
+                // 既に請求済
+                switch (m_ConstructionBaseInfo.JoinFlg)
                 {
-                    ////////////////////////////////////////////
-                    // 子工事で既に請求が実施されているか確認
-                    ////////////////////////////////////////////
-                    sql = "SELECT";
-                    sql += " ReqHead.RequestNo";
-                    sql += " FROM";
-                    sql += " ConstructionLink Link";
-                    sql += " INNER JOIN RequestHead ReqHead ON Link.FluctuationCode = ReqHead.ReqConstructionCode";
-                    sql += string.Format(" WHERE Link.ConstructionCode = {0} AND Link.LinkType = {1}",
-                                                m_ConstructionCode,
-                                                (int)ConstructionLink.DataTypeDef.JoinType);
+                    case (int)ConstructionBaseInfo.JoinFlgDef.JoinParent:
+                        // 結合親工事の場合
+                        msg = "既に子工事で請求済のため、選択工事での請求はできません。";
+                        break;
+                    case (int)ConstructionBaseInfo.JoinFlgDef.JoinChildren:
+                        msg = "既に親工事で請求済のため、選択工事での請求はできません。";
+                        break;
+                }
 
-                    ArrayList ar = new ArrayList();
+                return false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
 
-                    if (ioReqHead.ExecuteReader(sql, ref ar) == false)
-                    {
-                        return false;
-                    }
+                return false;
+            }
+            finally
+            {
+                ioInfo.close(); ioInfo = null;
+                ioReqHead.close(); ioReqHead = null;
+            }
+        }
+        #endregion
 
-                    // 既に請求済
-                    if (ar.Count > 0)
+        #region 申請時チェック
+        /// <summary>
+        /// 申請時チェック
+        /// </summary>
+        /// <returns></returns>
+        private bool CheckPettion()
+        {
+            try
+            {
+
+                // エラー表示を一旦クリア
+                ClearErrorIndicate();
+
+                List<int> lstMainConstructionCode = new List<int>();
+                int nOldState = m_lstOrderState[m_nMaxOrderNo - 1];
+
+                // 状態が入力中以外は処理しない
+                if (nOldState != (int)ApprovalState.Entry) return true;
+
+                // 申請チェック
+                int ret = CheckApprovalMain(ref lstMainConstructionCode);
+
+                if (ret == (int)CheckResult.ErrorStatus)
+                {
+                    // エラー表示
+                    SetErrorIndicate(lstMainConstructionCode);
+
+                    ShowMessageBox("請求準備ではないため、請求承認の申請はできません。", "申請確認", MessageBoxButtons.OK, MessageBoxIcon.Error);
+
+                    return false;
+                }
+
+                if (ret == (int)CheckResult.NoError)
+                {
+                    if (ShowMessageBox("請求承認を申請してよろしいですか？", "申請確認", MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No)
                     {
-                        msg = "既に子工事で請求済のため、選択工事での請求はできません。";
-
                         return false;
                     }
                 }
-                // 結合子工事の場合
-                else if (Info.JoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.JoinChildren)
+                else if (ret == (int)CheckResult.WarningUnmatch)
                 {
-                    ///////////////////////////////////////////
-                    // 親工事で請求済か確認
-                    ///////////////////////////////////////////
-                    sql = "SELECT";
-                    sql += " ReqHead.RequestNo";
-                    sql += " FROM";
-                    sql += " ConstructionLink Link";
-                    sql += " INNER JOIN RequestHead ReqHead ON Link.ConstructionCode = ReqHead.ReqConstructionCode";
-                    sql += string.Format(" WHERE Link.FluctuationCode = {0} AND Link.LinkType = {1}",
-                                                m_ConstructionCode,
-                                                (int)ConstructionLink.DataTypeDef.JoinType);
-
-                    ArrayList ar = new ArrayList();
-
-                    if (ioReqHead.ExecuteReader(sql, ref ar) == false)
+                    if (ShowMessageBox("工事金額が全て請求されていませんが、\n請求承認を申請してよろしいですか？", "申請確認", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
                     {
                         return false;
                     }
-
-                    // 既に請求済
-                    if (ar.Count > 0)
+                }
+                else if (ret == (int)CheckResult.WarningOver)
+                {
+                    if (ShowMessageBox("請求金額が工事金額を超えていますが、\n請求承認を申請してよろしいですか？", "申請確認", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
                     {
-                        msg = "既に親工事で請求済のため、選択工事での請求はできません。";
-
                         return false;
                     }
-
                 }
+                else
+                {
+                    return false;
+                }
 
                 return true;
             }
@@ -829,24 +905,16 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-
                 return false;
             }
-            finally
-            {
-                ioInfo.close();
-                ioInfo = null;
-                ioReqHead.close();
-                ioReqHead = null;
-            }
         }
         #endregion
 
-        #region 承認チェック
+        #region 承認チェック（内容チェック）
         /// <summary>
-        /// 承認チェック
+        /// 承認チェック（内容チェック）
         /// </summary>
-        private int CheckApproval(ref List<int> lstMainConstructionCode)
+        private int CheckApprovalMain(ref List<int> lstMainConstructionCode)
         {
             IOConstructionProgressDate ioProg = new IOConstructionProgressDate();
 
@@ -855,7 +923,7 @@
                 int nBalance = 0;
 
                 // 一括請求の場合
-                if (m_BaseConstructionBaseInfo.BillingSplitFlg == 0)
+                if (m_BaseConstructionBaseInfo.BillingSplitFlg == 0) 
                 {
                     Dictionary<int, RequestData> dicReqData = m_lstRequestData[m_nMaxOrderNo - 1];
 
@@ -920,11 +988,41 @@
                 ioProg = null;
             }
 
-
             return (int)CheckResult.NoError;
         }
         #endregion
 
+        #region 承認順チェック
+        /// <summary>
+        /// 承認順チェック
+        /// </summary>
+        /// <returns></returns>
+        private bool CheckApprovalOrder()
+        {
+            try
+            {
+                // 承認順序のチェック
+                if (!ClsCommonApproval.CheckProcessApprovalSequence(m_ConstructionCode
+                                                                        , (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval
+                                                                        , (m_OrderNo == 0) ? m_nMaxOrderNo : m_OrderNo))
+                {
+                    MessageBox.Show("１つ前の承認が確定していません。"
+                                    , "承認順番エラー"
+                                    , MessageBoxButtons.OK
+                                    , MessageBoxIcon.Error);
+                    return false;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
         #region エラー表示セット
         /// <summary>
         /// エラー表示セット
@@ -1001,8 +1099,9 @@
             IOConstructionBaseInfo cbDB = new IOConstructionBaseInfo();
             try
             {
-                string strSQL = cbDB.CreatePrimarykeyString(m_ConstructionCode);
-                if (!cbDB.SelectAction(strSQL, ref m_ConstructionBaseInfo)) return false;
+                StringBuilder strSQL = new StringBuilder();
+                 strSQL.Append(cbDB.CreatePrimarykeyString(m_ConstructionCode));
+                if (!cbDB.SelectAction(strSQL.ToString(), ref m_ConstructionBaseInfo)) return false;
 
                 return true;
             }
@@ -1131,32 +1230,24 @@
             IORequestData ioReqData = new IORequestData();
             IORequestDataDetail ioReqDetail = new IORequestDataDetail();
 
-            string strSQL;
+            StringBuilder strSQL = new StringBuilder();
 
             try
             {
                 // 工事基本情報の取得
-                GetConstructionBaseInfo(m_ConstructionCode, ref m_BaseConstructionBaseInfo);
+                if (GetConstructionBaseInfo(m_ConstructionCode, ref m_BaseConstructionBaseInfo))
+                    AddConstructionBaseInfo(m_ConstructionCode, m_BaseConstructionBaseInfo);
 
-                AddConstructionBaseInfo(m_ConstructionCode, m_BaseConstructionBaseInfo);
-
                 // 工事基本情報明細（文字列）の取得
                 GetConstructionBaseInfoDetail(m_ConstructionCode, ref m_dicBaseConstructionString);
 
-
                 // 請求ヘッダを取得
-                strSQL = ioReqHead.CreateSubkeyString(m_ConstructionCode);
-                strSQL += " Order by OrderNo Asc ";
-                if (ioReqHead.SelectAction(strSQL, ref m_lstRequestHead) == false)
-                {
-                    return;
-                }
+                strSQL.Append(ioReqHead.CreateSubkeyString(m_ConstructionCode));
+                strSQL.Append(" Order by OrderNo Asc ");
+                if (ioReqHead.SelectAction(strSQL.ToString(), ref m_lstRequestHead) == false) return;
 
                 // 請求ヘッダがない場合は請求データがＤＢ上に存在しないため終了
-                if (m_lstRequestHead.Count == 0)
-                {
-                    return;
-                }
+                if (m_lstRequestHead.Count < 1) return;
 
                 // 最新の請求Noおよび受付番号を確保
                 m_nRequestNo = m_lstRequestHead[m_lstRequestHead.Count - 1].RequestNo;
@@ -1166,26 +1257,18 @@
                 foreach (RequestHead ReqHead in m_lstRequestHead)
                 {
                     // 直近受付は、工事情報と絡めて実施
-                    if (ReqHead.OrderNo == m_nMaxOrderNo)
-                    {
-                        break;
-                    }
+                    if (ReqHead.OrderNo == m_nMaxOrderNo) break;
 
                     // 請求データリストの構築（ＤＢ取得用）
                     List<RequestData> lstData = new List<RequestData>();
 
                     // 請求データの取得(検索キーは請求Noのみ)
-                    strSQL = ioReqData.CreatePrimarykeyString(ReqHead.RequestNo);
-                    strSQL += " Order by MainConstructionCode Asc ";
-                    if (ioReqData.SelectAction(strSQL, ref lstData) == false)
-                    {
-                        return;
-                    }
+                    strSQL.Clear();
+                    strSQL.Append(ioReqData.CreatePrimarykeyString(ReqHead.RequestNo));
+                    strSQL.Append(" Order by MainConstructionCode Asc ");
+                    if (ioReqData.SelectAction(strSQL.ToString(), ref lstData) == false) return;
 
-                    if (lstData.Count == 0)
-                    {
-                        return;
-                    }
+                    if (lstData.Count < 1) return;
 
                     // 請求データ辞書（キー：本工事番号）の構築
                     Dictionary<int, RequestData> dicData = new Dictionary<int, RequestData>();
@@ -1200,17 +1283,12 @@
                         List<RequestDataDetail> lstDetail = new List<RequestDataDetail>();
 
                         // 請求データ明細の取得
-                        strSQL = ioReqDetail.CreatePrimarykeyString(ReqData.RequestNo, ReqData.MainConstructionCode);
-                        strSQL += " Order by ConstructionKind Asc, ConstructionCode Asc ";
-                        if (ioReqDetail.SelectAction(strSQL, ref lstDetail) == false)
-                        {
-                            return;
-                        }
+                        strSQL.Clear();
+                        strSQL.Append(ioReqDetail.CreatePrimarykeyString(ReqData.RequestNo, ReqData.MainConstructionCode));
+                        strSQL.Append(" Order by ConstructionKind Asc, ConstructionCode Asc ");
+                        if (ioReqDetail.SelectAction(strSQL.ToString(), ref lstDetail) == false) return;
 
-                        if (lstDetail.Count == 0)
-                        {
-                            return;
-                        }
+                        if (lstDetail.Count < 1) return;
 
                         dicDetail.Add(ReqData.MainConstructionCode, lstDetail);
 
@@ -1227,12 +1305,9 @@
             }
             finally
             {
-                ioReqHead.close();
-                ioReqHead = null;
-                ioReqData.close();
-                ioReqData = null;
-                ioReqDetail.close();
-                ioReqDetail = null;
+                ioReqHead.close(); ioReqHead = null;
+                ioReqData.close(); ioReqData = null;
+                ioReqDetail.close(); ioReqDetail = null;
             }
 
         }
@@ -1244,7 +1319,7 @@
         /// </summary>
         private void GetRequestDataAndDetail(int nRequestNo)
         {
-            string sql = "";
+            StringBuilder sql = new StringBuilder();
             string str = "";
 
             IORequestData ioReqData = new IORequestData();
@@ -1271,10 +1346,10 @@
                 }
 
                 List<RequestData> lstDataWork = new List<RequestData>();
-                sql = ioReqData.CreatePrimarykeyString(nRequestNo);
-                sql += " Order By MainConstructionCode Asc ";
+                sql.Append(ioReqData.CreatePrimarykeyString(nRequestNo));
+                sql.Append(" Order By MainConstructionCode Asc ");
 
-                if (ioReqData.SelectAction(sql, ref lstDataWork) == false)
+                if (ioReqData.SelectAction(sql.ToString(), ref lstDataWork) == false)
                 {
                     return;
                 }
@@ -1298,7 +1373,7 @@
                     info = new ConstructionBaseInfo();
                     dicString = new Dictionary<int, string>();
 
-                    GetConstructionBaseInfo(nMainConstructonCode, ref info);
+                    if (!GetConstructionBaseInfo(nMainConstructonCode, ref info)) continue;
                     AddConstructionBaseInfo(nMainConstructonCode, info);
 
                     GetConstructionBaseInfoDetail(nMainConstructonCode, ref dicString);
@@ -1333,9 +1408,10 @@
 
                     if (bNewMainConstruction == false)
                     {
-                        sql = ioReqDetail.CreatePrimarykeyString(nRequestNo, nMainConstructonCode);
-                        sql += " Order By ConstructionKind Asc, ConstructionCode Asc";
-                        if (ioReqDetail.SelectAction(sql, ref lstDetailWork) == false)
+                        sql.Clear();
+                        sql.Append(ioReqDetail.CreatePrimarykeyString(nRequestNo, nMainConstructonCode));
+                        sql.Append(" Order By ConstructionKind Asc, ConstructionCode Asc");
+                        if (ioReqDetail.SelectAction(sql.ToString(), ref lstDetailWork) == false)
                         {
                             return;
                         }
@@ -1373,7 +1449,7 @@
                         }
 
                         info = new ConstructionBaseInfo();
-                        GetConstructionBaseInfo(nConstructionCode, ref info);
+                        if (!GetConstructionBaseInfo(nConstructionCode, ref info)) continue;
                         AddConstructionBaseInfo(nConstructionCode, info);
 
                         dicString = new Dictionary<int, string>();
@@ -1562,7 +1638,7 @@
 
                     string str;
 
-                    GetConstructionBaseInfo(nConstructionCode, ref info);
+                    if (!GetConstructionBaseInfo(nConstructionCode, ref info)) continue;
                     AddConstructionBaseInfo(nConstructionCode, info);
 
                     GetConstructionBaseInfoDetail(nConstructionCode, ref dic);
@@ -1625,7 +1701,7 @@
                     foreach (int nConstructionCode in lstWork)
                     {
                         ConstructionBaseInfo info = new ConstructionBaseInfo();
-                        GetConstructionBaseInfo(nConstructionCode, ref info);
+                        if (!GetConstructionBaseInfo(nConstructionCode, ref info)) continue;
                         AddConstructionBaseInfo(nConstructionCode, info);
 
                         data = new RequestDataDetail();
@@ -1904,7 +1980,7 @@
                         }
                         else
                         {
-                            string str;
+                            string str = string.Empty;
 
                             // 工事件名は、退避した工事件名から（編集不可）
                             m_dicConstructionName.TryGetValue(ReqDetail.ConstructionCode, out str);
@@ -2097,14 +2173,15 @@
 
                     m_lstOrderState.Add(nState);
 
+                    // セットする回数カラムを表示する
+                    dgv1.Columns[tcol].Visible = true;
+
                     while (true)
                     {
-                        if (dgv1[(int)ColumnName.ConstructionCode, trow].Value == null)
-                        {
-                            break;
-                        }
+                        int nBreakCode = CommonMotions.cnvInt(dgv1[(int)ColumnName.ConstructionCode, trow].Value);
+                        if (nBreakCode == 0) break;
 
-                        string str = dgv1[(int)ColumnName.ConstructionCode, trow].Value.ToString();
+                        string str = CommonMotions.cnvString(dgv1[(int)ColumnName.ConstructionCode, trow].Value);
 
                         int key = CommonMotions.cnvInt(str);
 
@@ -2112,26 +2189,26 @@
 
                         dic.TryGetValue(key, out lst);
 
-                        if (lst != null)
+                        // データが無い場合は次のデータ行へ
+                        if (lst == null)
                         {
-                            for (int j = 0; j < lst.Count; j++)
+                            trow += 2;
+                            continue;
+                        }
+
+                        // 金額セット・カラム状態セット
+                        for (int j = 0; j < lst.Count; j++)
+                        {
+                            setAmount(tcol, trow, lst[j].RequestAmount);
+                            setAmount(tcol, trow + 1, lst[j].TaxAmount);
+
+                            if (nState == (int)ApprovalState.Entry)
                             {
-                                setAmount(tcol, trow, lst[j].RequestAmount);
-                                setAmount(tcol, trow + 1, lst[j].TaxAmount);
-
-                                if (nState == (int)ApprovalState.Entry)
-                                {
-                                    dgv1[tcol, trow].ReadOnly = (m_bEdit == true ? (false) : (true));
-                                    dgv1[tcol, trow + 1].ReadOnly = (m_bEdit == true ? (false) : (true));
-                                }
-                                trow += 2;
+                                dgv1[tcol, trow].ReadOnly = (m_bEdit == true ? (false) : (true));
+                                dgv1[tcol, trow + 1].ReadOnly = (m_bEdit == true ? (false) : (true));
                             }
-                        }
-                        else
-                        {
                             trow += 2;
                         }
-
                     }
                 }
             }
@@ -2489,17 +2566,19 @@
         /// <summary>
         /// 一括か分割かの判定
         /// </summary>
-        private bool BillingSplit()
+        private void BillingLabel()
         {
             // 分割払いの場合
             if (m_BaseConstructionBaseInfo.BillingSplitFlg == 1)
             {
-                return true;
+                SeparateBillingLabel.Visible = true;
+                CombinedOrderLabel.Visible = false;
             }
             // 一括の場合
             else
             {
-                return false;
+                SeparateBillingLabel.Visible = false;
+                CombinedOrderLabel.Visible = true;
             }
         }
         #endregion
@@ -3293,7 +3372,6 @@
         /// </summary>
         private bool UpdateRequestAmount(ref IOConstructionLedgerExcute ioLdgExcute, RequestHead ReqHead)
         {
-            string sql = "";
 
             IOConstructionLedgerDetail ioLdgDetail = new IOConstructionLedgerDetail();
             List<ConstructionLedgerDetail> lstDetail = new List<ConstructionLedgerDetail>();
@@ -3300,9 +3378,10 @@
 
             try
             {
+                StringBuilder sql = new StringBuilder();
                 // 請求金額の行番号を取得
-                sql = ioLdgDetail.CreatePrimarykeyString(m_nLeaderConstructionCode, (int)FrmConstructionLedger.DataGroup.BillingAmount);
-                if (ioLdgDetail.SelectAction(sql, ref lstDetail) == false)
+                sql.Append(ioLdgDetail.CreatePrimarykeyString(m_nLeaderConstructionCode, (int)FrmConstructionLedger.DataGroup.BillingAmount));
+                if (ioLdgDetail.SelectAction(sql.ToString(), ref lstDetail) == false)
                 {
                     return false;
                 }
@@ -3329,10 +3408,11 @@
 
                     dt = new DateTime(yyyy, mm, 1);
 
-                    sql = ioLdgExcute.CreatePrimarykeyString(m_nLeaderConstructionCode, lstDetail[0].GroupCount, lstDetail[0].LineCount);
-                    sql += string.Format(" AND DATE(TargetMonth) = STR_TO_DATE('{0}', '%Y%m%d') ", dt.ToString("yyyyMMdd"));
+                    sql.Clear();
+                    sql.Append(ioLdgExcute.CreatePrimarykeyString(m_nLeaderConstructionCode, lstDetail[0].GroupCount, lstDetail[0].LineCount));
+                    sql.AppendFormat(" AND DATE(TargetMonth) = STR_TO_DATE('{0}', '%Y%m%d') ", dt.ToString("yyyyMMdd"));
 
-                    if (ioLdgExcute.SelectAction(sql, ref lstExcute) == false)
+                    if (ioLdgExcute.SelectAction(sql.ToString(), ref lstExcute) == false)
                     {
                         return false;
                     }
@@ -3347,8 +3427,9 @@
 
                     // 請求金額から旧請求金額を差し引いた金額で更新
                     LdgExcute.PaymentAmount -= (double)m_lOldRequestAmount;
-                    sql = ioLdgExcute.CreatePrimarykeyString(LdgExcute.ConstructionCode, LdgExcute.GroupCount, LdgExcute.LineCount, LdgExcute.ColumnCount);
-                    if (ioLdgExcute.UpdateAction(sql, LdgExcute) == false)
+                    sql.Clear();
+                    sql.Append(ioLdgExcute.CreatePrimarykeyString(LdgExcute.ConstructionCode, LdgExcute.GroupCount, LdgExcute.LineCount, LdgExcute.ColumnCount));
+                    if (ioLdgExcute.UpdateAction(sql.ToString(), LdgExcute) == false)
                     {
                         return false;
                     }
@@ -3363,9 +3444,10 @@
                 dt = new DateTime(yyyy, mm, 1);
 
                 // 当該月の請求金額のレコードがあるか取得してみる
-                sql = ioLdgExcute.CreatePrimarykeyString(m_nLeaderConstructionCode, lstDetail[0].GroupCount, lstDetail[0].LineCount);
-                sql += string.Format(" AND DATE(TargetMonth) = STR_TO_DATE('{0}', '%Y%m%d') ", dt.ToString("yyyyMMdd"));
-                if (ioLdgExcute.SelectAction(sql, ref lstExcute) == false)
+                sql.Clear();
+                sql.Append(ioLdgExcute.CreatePrimarykeyString(m_nLeaderConstructionCode, lstDetail[0].GroupCount, lstDetail[0].LineCount));
+                sql.AppendFormat(" AND DATE(TargetMonth) = STR_TO_DATE('{0}', '%Y%m%d') ", dt.ToString("yyyyMMdd"));
+                if (ioLdgExcute.SelectAction(sql.ToString(), ref lstExcute) == false)
                 {
                     return false;
                 }
@@ -3377,8 +3459,9 @@
 
                     // 請求金額を加算して更新
                     LdgExcute.PaymentAmount += ReqHead.RequestAmount;
-                    sql = ioLdgExcute.CreatePrimarykeyString(LdgExcute.ConstructionCode, LdgExcute.GroupCount, LdgExcute.LineCount, LdgExcute.ColumnCount);
-                    if (ioLdgExcute.UpdateAction(sql, LdgExcute) == false)
+                    sql.Clear();
+                    sql.Append(ioLdgExcute.CreatePrimarykeyString(LdgExcute.ConstructionCode, LdgExcute.GroupCount, LdgExcute.LineCount, LdgExcute.ColumnCount));
+                    if (ioLdgExcute.UpdateAction(sql.ToString(), LdgExcute) == false)
                     {
                         return false;
                     }
@@ -3475,13 +3558,31 @@
             try
             {
                 // 工事基本情報取得クラス領域
-                var wrk = new ConstructionBaseInfo();
 
                 // 工事基本情報取得SQL
-                string strSQL = sbDB.CreatePrimarykeyString(constructionCode);
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(sbDB.CreatePrimarykeyString(constructionCode));
 
+                // 非受注は除く
+                int iStatus = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key;
+                strSQL.AppendFormat(" AND CONSTRUCTIONSTATUSFLG != {0}", iStatus);
+
+                // 分割か一括かによって対象データが違う
+                switch (m_BaseConstructionBaseInfo.BillingSplitFlg)
+                {
+                    case (int)ConstructionBaseInfo.BillingSplitFlgDef.AllOnBilling:
+                        iStatus = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求準備")).Key;
+                        strSQL.AppendFormat(" AND CONSTRUCTIONSTATUSFLG >= {0}", iStatus);
+                        break;
+
+                    case (int)ConstructionBaseInfo.BillingSplitFlgDef.SplitBilling:
+                        iStatus = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("受　　注")).Key;
+                        strSQL.AppendFormat(" AND CONSTRUCTIONSTATUSFLG >= {0}", iStatus);
+                        break;
+                }
                 // 工事基本情報取得
-                if (!sbDB.SelectAction(strSQL, ref wrk)) return false;
+                ConstructionBaseInfo wrk = new ConstructionBaseInfo();
+                if (!sbDB.SelectAction(strSQL.ToString(), ref wrk)) return false;
 
                 data = wrk;
 
@@ -3517,18 +3618,19 @@
                 var wrk = new List<ConstructionBaseInfo>();
 
                 // 工事基本情報取得SQL
-                string strSQL = " WHERE ConstructionCode IN ";
-                strSQL += "( ";
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(" WHERE ConstructionCode IN ");
+                strSQL.Append("( ");
                 foreach (int code in lstConstructionCode)
                 {
-                    strSQL += code.ToString();
-                    strSQL += (lstConstructionCode.IndexOf(code) != lstConstructionCode.Count - 1) ? ", " : string.Empty;
+                    strSQL.Append(code.ToString());
+                    strSQL.Append((lstConstructionCode.IndexOf(code) != lstConstructionCode.Count - 1) ? ", " : string.Empty);
                 }
-                strSQL += " ) ";
-                strSQL += "ORDER BY ConstructionCode ";
+                strSQL.Append(" ) ");
+                strSQL.Append(" ORDER BY ConstructionCode ");
 
                 // 工事基本情報取得
-                if (!sbDB.SelectAction(strSQL, ref wrk)) return false;
+                if (!sbDB.SelectAction(strSQL.ToString(), ref wrk)) return false;
 
                 datas = wrk;
             }
@@ -4115,7 +4217,12 @@
         }
         #endregion
 
-        #region 承認データの登録
+        #region 承認データの登録（未使用）
+        /// <summary>
+        /// 承認データの登録（未使用）
+        /// </summary>
+        /// <param name="nStatus"></param>
+        /// <returns></returns>
         private bool SetProcessApproval(int nStatus)
         {
             IOProcessApproval ioPrcApp = new IOProcessApproval();
